VSDContentCollector.cpp File Reference
`#include "VSDContentCollector.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <string.h>`
`#include <limits>`
`#include <set>`
`#include <stack>`
`#include <boost/spirit/include/qi.hpp>`
`#include <unicode/ucnv.h>`
`#include <unicode/utf8.h>`
`#include "VSDParser.h"`
`#include "VSDInternalStream.h"`

## Macros

#define | DUMP_BITMAP 0
#define | M_PI 3.14159265358979323846
#define | LIBVISIO_EPSILON 1E-10
#define | VSD_NUM_POLYLINES_PER_KNOT 100
#define | MAX_ALLOWED_NURBS_DEGREE 8

## Macro Definition Documentation

## DUMP_BITMAP

#define DUMP_BITMAP 0

## LIBVISIO_EPSILON

#define LIBVISIO_EPSILON 1E-10

Referenced by libvisio::VSDContentCollector::_generatePolylineFromNURBS(), libvisio::VSDContentCollector::_isUniform(), libvisio::VSDContentCollector::_NURBSBasis(), and libvisio::VSDContentCollector::collectEllipticalArcTo().

## M_PI

#define M_PI 3.14159265358979323846

Referenced by libvisio::VSDContentCollector::_flushCurrentForeignData(), libvisio::VSDContentCollector::_flushText(), libvisio::VSDContentCollector::collectArcTo(), libvisio::VSDContentCollector::collectEllipse(), libvisio::VSDContentCollector::collectEllipticalArcTo(), and libvisio::VSDContentCollector::transformAngle().

## MAX_ALLOWED_NURBS_DEGREE

#define MAX_ALLOWED_NURBS_DEGREE 8

Referenced by libvisio::VSDContentCollector::collectNURBSTo().

## VSD_NUM_POLYLINES_PER_KNOT

#define VSD_NUM_POLYLINES_PER_KNOT 100

Referenced by libvisio::VSDContentCollector::_generatePolylineFromNURBS().